Bug 1792086 - Review Request: mopidy-mpd - Mopidy extension for controlling Mopidy from MPD clients
Summary: Review Request: mopidy-mpd - Mopidy extension for controlling Mopidy from MPD...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 01:37 UTC by Tobias
Modified: 2020-02-16 01:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-12 01:41:02 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Tobias 2020-01-17 01:37:02 UTC
Spec URL: https://raw.githubusercontent.com/fork-graveyard/mopidy-packaging/mpd1/mopidy-mpd.spec
SRPM URL: https://github.com/fork-graveyard/mopidy-packaging/releases/download/mpd1/mopidy-mpd-3.0.0-1.fc32.src.rpm
Description: Frontend that provides a full MPD server implementation to make Mopidy available from MPD clients.
Fedora Account System Username: girst

Hi all.
This is an extension for Mopidy, which I've recently packaged (it's in rawhide already; I'll build fc30/31 packages once its dependencies get out of testing next week). I would appreciate a review!

Comment 1 Martin Jackson 2020-01-21 02:16:11 UTC
%check fails - maybe need a buildrequires on Pykka?
WARNING: Testing via this command is deprecated and will be removed in a future version. Users looking for a generic test entry point independent of test runner are encouraged to use tox.^M
Searching for Pykka>=2.0.1^M
Reading https://pypi.org/simple/Pykka/^M
Download error on https://pypi.org/simple/Pykka/: [Errno -2] Name or service not known -- Some packages may not be found!^M
Couldn't find index page for 'Pykka' (maybe misspelled?)^M
Scanning index of all packages (this may take a while)^M
Reading https://pypi.org/simple/^M
Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!^M
No local packages or working download links found for Pykka>=2.0.1^M
error: Could not find suitable distribution for Requirement.parse('Pykka>=2.0.1')^M
error: Bad exit status from /var/tmp/rpm-tmp.56SRux (%check)^M

setup.cfg looks like it also depends on Mopidy which should be BuildRequires for tests.

For requires/buildrequires there's a python3dist() macro, eclipseo (my sponsor) showed it to me.

Comment 3 Robert-André Mauchin 2020-01-22 00:01:06 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)".
     72 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/mopidy-mpd/review-mopidy-
     mpd/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mopidy-mpd-3.0.0-1.fc32.noarch.rpm
          mopidy-mpd-3.0.0-1.fc32.src.rpm
mopidy-mpd.noarch: W: spelling-error %description -l en_US Frontend -> Fronted, Front end, Front-end
mopidy-mpd.src: W: spelling-error %description -l en_US Frontend -> Fronted, Front end, Front-end
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 4 Gwyn Ciesla 2020-01-22 14:00:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mopidy-mpd

Comment 5 Fedora Update System 2020-02-03 20:03:04 UTC
FEDORA-2020-a08ae7304c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a08ae7304c

Comment 6 Fedora Update System 2020-02-04 01:47:44 UTC
mopidy-mpd-3.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a08ae7304c

Comment 7 Fedora Update System 2020-02-08 02:10:08 UTC
mopidy-mpd-3.0.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-caa1275a1d

Comment 8 Fedora Update System 2020-02-12 01:41:02 UTC
mopidy-mpd-3.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-02-16 01:29:54 UTC
mopidy-mpd-3.0.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.